Package org.pgpainless.sop

# Class InlineVerifyImpl

java.lang.Object
org.pgpainless.sop.InlineVerifyImpl

All Implemented Interfaces:
  `sop.operation.AbstractVerify<sop.operation.InlineVerify>`, `sop.operation.InlineVerify`

public class InlineVerifyImpl extends Object implements sop.operation.InlineVerify
Implementation of the

    inline-verify

operation using PGPainless.

## Constructor Summary

Constructors
Constructor
Description
`InlineVerifyImpl()`

## Method Summary

Modifier and Type
Method
Description
`sop.operation.InlineVerify`
`cert(InputStream cert)`
`sop.ReadyWithResult<List<sop.Verification>>`
`data(InputStream data)`
`sop.operation.InlineVerify`
`notAfter(Date timestamp)`
`sop.operation.InlineVerify`
`notBefore(Date timestamp)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface sop.operation.AbstractVerify

`cert`

### Methods inherited from interface sop.operation.InlineVerify

`data`

## Constructor Details

### InlineVerifyImpl

public InlineVerifyImpl()

## Method Details

### notBefore

public sop.operation.InlineVerify notBefore(Date timestamp) throws sop.exception.SOPGPException.UnsupportedOption

Specified by:
  `notBefore` in interface `sop.operation.AbstractVerify<sop.operation.InlineVerify>`
Throws:
  `sop.exception.SOPGPException.UnsupportedOption`

### notAfter

public sop.operation.InlineVerify notAfter(Date timestamp) throws sop.exception.SOPGPException.UnsupportedOption

Specified by:
  `notAfter` in interface `sop.operation.AbstractVerify<sop.operation.InlineVerify>`
Throws:
  `sop.exception.SOPGPException.UnsupportedOption`

### cert

public sop.operation.InlineVerify cert(InputStream cert) throws sop.exception.SOPGPException.BadData, IOException

Specified by:
  `cert` in interface `sop.operation.AbstractVerify<sop.operation.InlineVerify>`
Throws:
  `sop.exception.SOPGPException.BadData`
  `IOException`

### data

public sop.ReadyWithResult<List<sop.Verification>> data(InputStream data) throws sop.exception.SOPGPException.NoSignature, sop.exception.SOPGPException.BadData

Specified by:
  `data` in interface `sop.operation.InlineVerify`
Throws:
  `sop.exception.SOPGPException.NoSignature`
  `sop.exception.SOPGPException.BadData`